For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • GETList users
      • GETRetrieve a single User
      • POSTSearch or list users
LogoLogo
SupportDeel Home
EndpointsUsers

Search or list users

POST
/Users/.search
POST
/scim/v2/Users/.search
$curl -X POST https://api.letsdeel.com/scim/v2/Users/.search \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "Resources": [
3 {
4 "emails": [
5 {
6 "type": "work",
7 "value": "work.email@example.com",
8 "primary": true
9 }
10 ],
11 "name": {
12 "familyName": "Doe",
13 "givenName": "Jane"
14 },
15 "schemas": [
16 "urn:ietf:params:scim:schemas:core:2.0:User"
17 ],
18 "userName": "work.email@example.com",
19 "active": false,
20 "addresses": [
21 {
22 "streetAddress": "Deel Street 500",
23 "locality": "Denver",
24 "region": "CO",
25 "postalCode": "44000",
26 "country": "AD",
27 "type": "work"
28 }
29 ],
30 "id": "97b727b8-bdb5-11ed-afa1-0242ac120002",
31 "meta": {
32 "created": "2024-01-15T09:30:00Z",
33 "lastModified": "2024-01-15T09:30:00Z",
34 "location": "string",
35 "resourceType": "User"
36 },
37 "title": "Software Engineer",
38 "urn:ietf:params:scim:schemas:extension:2.0:User": {
39 "preferredFirstName": "John",
40 "preferredLastName": "Doe",
41 "preferredName": "John Doe",
42 "workerId": 1.1,
43 "startDate": "2024-01-15T09:30:00Z",
44 "endDate": "2024-01-15T09:30:00Z",
45 "birthday": "string",
46 "hiringStatus": "active",
47 "state": "CO",
48 "country": "US",
49 "employments": [
50 {
51 "contractId": "av4bt56",
52 "title": "International Factors Developer",
53 "startDate": "2023-04-26",
54 "contractType": "eor",
55 "active": true,
56 "state": "CO",
57 "country": "US",
58 "team": {}
59 }
60 ],
61 "customFields": [
62 {
63 "id": "b29a5ff0-bdb5-11ed-afa1-0242ac120002",
64 "name": "Nickname",
65 "value": "Barbara"
66 }
67 ],
68 "organizationalStructures": [
69 {
70 "structureId": "642b0547-9d80-4d35-a085-dg377ef209d3",
71 "structureName": "Nickname",
72 "nameHierarchy": "Administration / HR / Recruitment",
73 "name": "Recruitment",
74 "externalId": "642b0547-9d80-4d35-a085-fd977ef209d3",
75 "externalIdHierarchy": "642b0547-9d80-4d35-a085-fd977ef209d3 / 642b0547-9d80-4d35-a085-fd977ef209b2"
76 }
77 ],
78 "isManager": true,
79 "departmentHierarchy": "Engineering / Backend / SCIM",
80 "departmentExternalId": "642b0547-9d80-4d35-a085-fd977ef209ef",
81 "departmentExternalIdHierarchy": "642b0547-9d80-4d35-a085-fd977ef209ef / 642b0547-9d80-4d35-a085-fd977ef209d3"
82 },
83 "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
84 "department": "Engineering",
85 "costCenter": "12345",
86 "organization": "45321",
87 "manager": {
88 "value": "b29a5ff0-bdb5-11ed-afa1-0242ac120002",
89 "displayName": "John Doe",
90 "email": "john@example.com"
91 }
92 },
93 "userType": "employee"
94 }
95 ],
96 "itemsPerPage": 1,
97 "schemas": [
98 "urn:ietf:params:scim:api:messages:2.0:ListResponse"
99 ],
100 "startIndex": 1,
101 "totalResults": 1
102}
Was this page helpful?
Previous

Create a webhook

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

search parameters
countintegerOptional
page size
filterstringOptional
only support 'userName' or 'email' filter expressions for now
schemaslist of enumsOptional
Allowed values:
startIndexintegerOptional

start index (1-based)

Response

successful operation
Resourceslist of objects
User list.
itemsPerPagelong
schemaslist of enums
Allowed values:
startIndexlong
Start index of the current page.
totalResultslong

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/